## bcfg2 1.2.0

=== osx/Makefile ===
PYVERSION := $(shell /usr/bin/python -c "import sys; print '%s.%s' % (sys.version_info[0], sys.version_info[1])")
PYMAJORVERSION := $(shell /usr/bin/python -c "import sys; print sys.version_info[0]")
PYMINORVERSION := $(shell /usr/bin/python -c "import sys; print sys.version_info[1]")
PREFLIGHT = preflight
POSTFLIGHT = postflight
PKGROOT = bcfg2pkg
PKGTMP = bcfg2tmp
FILTERS = --filter Hostbase \
--filter Reports \
--filter Server \
--filter xsd \
--filter xsl \
--filter bcfg2-admin \
--filter bcfg2-build-reports \
--filter bcfg2-info \
--filter bcfg2-ping-sweep \
--filter bcfg2-lint \
--filter bcfg2-reports \
--filter bcfg2-server

CONF = bcfg2.conf
DATADIR = /Library/Frameworks/Python.framework/Versions/Current
LAUNCHD = gov.anl.mcs.bcfg2-daily.plist
PACKAGEMAKER = /Developer/usr/bin/packagemaker
PROTO_PLIST = PackageInfo.plist
SITELIBDIR = /Library/Python/${PYVERSION}/site-packages

# Symlinks cannot be specified on the command line, therefore, we create
# an Info.plist file for packagemaker to look at for package creation
# and substitute the version strings. Major/Minor versions can only be
# integers (e.g. "1" and "00" for bcfg2 version 1.0.0.
BCFGVER = 1.2.0
MAJOR = 1
MINOR = 20

default: clean client

install:
	echo "Installing Bcfg2 to ${PKGROOT}"
	mkdir -p ${PKGROOT}
	cd ../ && /usr/bin/python setup.py install \
	       --root="osx/${PKGROOT}" \
	       --install-lib="${SITELIBDIR}" \
	       --install-data="${DATADIR}"

prepare: install
	mkdir -p ${PKGTMP}
	cp ${PROTO_PLIST} ${PKGTMP}
	sed -i '' "s/{SHORTVERSION}/${BCFGVER}/g" "${PKGTMP}/${PROTO_PLIST}"
	sed -i '' "s/{MAJORVERSION}/${MAJOR}/g" "${PKGTMP}/${PROTO_PLIST}"
	sed -i '' "s/{MINORVERSION}/${MINOR}/g" "${PKGTMP}/${PROTO_PLIST}"

	# create a preflight script to remove traces of previous
	# bcfg2 installs due to limitations in Apple's pkg format
	mkdir -p "${PKGTMP}/scripts"
	cp "${PREFLIGHT}" "${PKGTMP}/scripts"
	cp "${POSTFLIGHT}" "${PKGTMP}/scripts"

	# substitute in the {sitelib,data}dir specified above on the assumption that
	# this is where any previous bcfg2 install exists that should be cleaned out.
	sed -i '' "s|{SITELIBDIR}|${SITELIBDIR}|g" "${PKGTMP}/scripts/${PREFLIGHT}"
	sed -i '' "s|{SITELIBDIR}|${SITELIBDIR}|g" "${PKGTMP}/scripts/${POSTFLIGHT}"
	sed -i '' "s|{DATADIR}|${DATADIR}|g" "${PKGTMP}/scripts/${PREFLIGHT}"
	sed -i '' "s|{DATADIR}|${DATADIR}|g" "${PKGTMP}/scripts/${POSTFLIGHT}"
	# substitute in the bindir specified on the assumption that this is where
	# any old executables that have moved from bindir->sbindir should be
	# cleaned out from.
	sed -i '' "s|{BINDIR}|${BINDIR}|g" "${PKGTMP}/scripts/${PREFLIGHT}"
	sed -i '' "s|{BINDIR}|${BINDIR}|g" "${PKGTMP}/scripts/${POSTFLIGHT}"
	sed -i '' "s|{LAUNCHD}|${LAUNCHD}|g" "${PKGTMP}/scripts/${POSTFLIGHT}"
	# {pre,post}flight scripts must be 770 to execute
	chmod 0770 "${PKGTMP}/scripts/${PREFLIGHT}"
	chmod 0770 "${PKGTMP}/scripts/${POSTFLIGHT}"

	# add in M2Crypto if python version is less than 2.6
	if [[ ${PYMAJORVERSION} == 2 ]]; then if [[ ${PYMINORVERSION} -lt 6 ]]; then cp "M2Crypto-0.20.2-py2.5-macosx-10.5-ppc.egg" "${PKGROOT}/${SITELIBDIR}" && cp "easy-install.pth" "${PKGROOT}/${SITELIBDIR}"; fi ;  fi
	# add default bcfg2.conf
	mkdir -p "${PKGROOT}/etc"
	cp "${CONF}" "${PKGROOT}/etc/${CONF}"

	# add default launchd cron job
	mkdir -p "${PKGROOT}/Library/LaunchDaemons"
	cp "${LAUNCHD}" "${PKGROOT}/Library/LaunchDaemons/${LAUNCHD}"

client: prepare
	rm -rf `pwd`/bcfg2-${BCFGVER}.pkg
	echo "Building package"
	echo "Note that packagemaker is reknowned for spurious errors. Don't panic."
	"${PACKAGEMAKER}" --root "${PKGROOT}" \
			  --info "${PKGTMP}/${PROTO_PLIST}" \
			  --scripts "${PKGTMP}/scripts" \
			  ${FILTERS} \
			  --verbose \
			  --title "bcfg2" \
			  --out `pwd`/bcfg2-${BCFGVER}.pkg

server: prepare
	rm -rf `pwd`/bcfg2-${BCFGVER}.pkg
	echo "Building package"
	echo "Note that packagemaker is reknowned for spurious errors. Don't panic."
	"${PACKAGEMAKER}" --root "${PKGROOT}" \
			  --info "${PKGTMP}/${PROTO_PLIST}" \
			  --scripts "${PKGTMP}/scripts" \
			  --verbose \
			  --title "bcfg2" \
			  --out `pwd`/bcfg2-${BCFGVER}.pkg

clean:
	rm -rf bcfg2tmp bcfg2pkg

=== redhat/Makefile ===
# -- generic Makefile for building RPM-based packages out of source
#    code control systems (git, cvs, svn)
#
# $Id: Makefile 46 2007-10-24 09:14:12Z robin $

.SUFFIXES:
.PHONY: clean mrclean distclean prepclean all default
.PHONY: rpm rpmdist buildrpm buildrpmdist
.PHONY: buildtarball buildtargz
.PHONY: builddir distdir prepbuildtarball
.PHONY: cvs-export git-export svn-export test-export
.PHONY: cvs-clean git-clean svn-clean test-clean

SCM_TYPE := git
SCM_PATH := ../
#CVSROOT := $(shell cat 2>/dev/null src/CVS/Root)
#SVN_PATH := $(shell svn info ${SCM_PATH} 2>/dev/null | awk '/^URL:/{print $$2}')
#SVN_REV := $(shell svn info ${SVN_PATH} 2>/dev/null | awk '/^Last Changed Rev:/{print $$4}')

PACKAGE := $(shell cat PACKAGE)
VERSION := $(shell cat VERSION)
RELEASE := $(shell cat RELEASE)
BASE_VER := ${VERSION}-${RELEASE}
CURRENT_PACKAGE := $(PACKAGE)-$(BASE_VER)
TARBALL := $(CURRENT_PACKAGE).tar

DIRNAME := $(shell echo $${PWD})
DIRBASE := $(shell basename $${PWD})


default: rpmdist

# -- the "rpmdist" target will build out of the SCM, but will
#    use the user's default build settings (which in many cases
#    is exposed as an RPM repository)
#
rpmdist: buildrpmdist distclean

buildrpmdist: specfile buildtargz
	@rpmbuild \
	  -ta ./build/$(TARBALL).gz

# -- the "rpm" target will build out of the SCM, but will leave
#    the resulting package in the relative ./build/ directory
#
rpm: buildrpm $(SCM_TYPE)-clean

# add "debug" to a target to see the values of all these vars
debug:
	echo SCM_TYPE: ${SCM_TYPE} && \
	echo SCM_PATH: ${SCM_PATH} && \
	echo SVN_PATH: ${SVN_PATH} && \
	echo SVN_REV : ${SVN_REV} && \
	echo PACKAGE : ${PACKAGE} && \
	echo VERSION : ${VERSION} && \
	echo RELEASE : ${RELEASE} && \
	echo BASE_VER: ${BASE_VER} && \
	echo CURRENT_PACKAGE: ${CURRENT_PACKAGE} && \
	echo TARBALL: ${TARBALL} && \
	echo DIRNAME: ${DIRNAME} && \
	echo DIRBASE: ${DIRBASE}

buildrpm: specfile buildtargz
	@rpmbuild \
	  --define "_rpmdir ./build/" \
	  --define "_sourcedir ./build/" \
	  --define "_srcrpmdir ./build/" \
 	  -ta ./build/$(TARBALL).gz

buildtarball: prepbuildtarball
	@tar \
	  --create \
	  --directory ./build/ \
	  --file      ./build/$(TARBALL) \
	  --exclude misc/bcfg2.spec \
	  ${CURRENT_PACKAGE}

buildtargz: buildtarball
	@gzip -c < ./build/$(TARBALL) > ./build/$(TARBALL).gz

# This target copies files that are not in svn into the build tree
prepbuildtarball: $(SCM_TYPE)-export
	@cp ${PACKAGE}.spec ./build/${CURRENT_PACKAGE}/redhat/ && \
		cp -R scripts ./build/${CURRENT_PACKAGE}/redhat/

specfile: $(PACKAGE).spec

# create the spec file from the .in file and put in the build tree
$(PACKAGE).spec: PACKAGE VERSION RELEASE $(PACKAGE).spec.in
	@sed	-e "s|@PACKAGE@|$(PACKAGE)|"	\
		-e "s|@VERSION@|$(VERSION)|"	\
		-e "s|@RELEASE@|$(RELEASE)|"	\
		$(PACKAGE).spec.in > $@
test-clean:
	@cd .. \
	  && rm "$(CURRENT_PACKAGE)"

test-export: builddir
	@cd .. \
	  && ln -snvf $(DIRBASE) $(CURRENT_PACKAGE) \
	  && tar \
	    --create \
	    --dereference \
	    --to-stdout \
	    --exclude "*.git*" \
	    --exclude "*.svn*" \
	    --exclude "*/CVS/*" \
	    --exclude "$(CURRENT_PACKAGE)/build/*" \
	      $(CURRENT_PACKAGE) \
	  | tar \
	    --extract \
	    --directory $(CURRENT_PACKAGE)/build/ \
	    --file -

git-export: builddir prepclean
	@cd ../ && git archive --format=tar --prefix=$(CURRENT_PACKAGE)/ HEAD \
	  | (cd redhat/build && tar xf -)

git-clean:
	@:

cvs-export: builddir prepclean
	@cd ./build/ \
	  && echo CURRENT_PACKAGE: ${CURRENT_PACKAGE} \
	  && echo CVSROOT: ${CVSROOT} \
	  && CVSROOT=${CVSROOT} cvs export -r HEAD -d$(CURRENT_PACKAGE) ${PACKAGE}

cvs-clean:
	@:

svn-export: builddir prepclean
	@cd ./build/ \
	  && svn export $(SVN_PATH) $(CURRENT_PACKAGE)

svn-clean:
	@rm -f bcfg2.spec 2>/dev/null || :

builddir:
	@mkdir -p ./build

distdir:
	@mkdir -p ./dist

prepclean:
	@rm -rf ./build/$(CURRENT_PACKAGE)*

clean:
	@rm -rf ./build/* ./dist/* 2>/dev/null || :

mrclean: clean

distclean: clean $(SCM_TYPE)-clean
	@rmdir ./build/ ./dist/ 2>/dev/null || :

=== solaris/Makefile ===
#!/usr/sfw/bin/gmake

PYTHON="/opt/csw/bin/python"
VERS=1.2.0-1
PYVERSION := $(shell $(PYTHON) -c "import sys; print sys.version[0:3]")

default: clean package

package:
	-mkdir tmp tmp/bcfg2-server tmp/bcfg2
	-cd ../ && $(PYTHON) setup.py install --prefix=$(PWD)
	-cat bin/bcfg2 | sed -e 's!/usr/bin/python!$(PYTHON)!' > bin/bcfg2.new && mv bin/bcfg2.new bin/bcfg2
	# Set python version to whichever version is installed
	-cat prototype.bcfg2 | sed -e 's!PYVERSION!python$(PYVERSION)!' > prototype.bcfg2.fixed
	-cat prototype.bcfg2-server | sed -e 's!PYVERSION!python$(PYVERSION)!' > prototype.bcfg2-server.fixed
	-pkgmk -o -a `uname -m` -f prototype.bcfg2.fixed -d $(PWD)/tmp -r $(PWD)
	-pkgmk -o -a `uname -m` -f prototype.bcfg2-server.fixed -d $(PWD)/tmp -r $(PWD)
	-pkgtrans -o -s $(PWD)/tmp $(PWD)/bcfg2-$(VERS) SCbcfg2
	-pkgtrans -o -s $(PWD)/tmp $(PWD)/bcfg2-server-$(VERS) SCbcfg2-server
	-gzip -f $(PWD)/bcfg2-$(VERS)
	-gzip -f $(PWD)/bcfg2-server-$(VERS)

clean:
	-rm -rf tmp bin lib share
	-rm -rf bcfg2-$(VERS).gz bcfg2-server-$(VERS).gz
	-rm -rf prototype.bcfg2.fixed prototype.bcfg2-server.fixed

=== debian/changelog ===
bcfg2 (1.2.0-1) unstable; urgency=low

  * New upstream version 1.2.0
  * Remove all patches, they have been superseded upstream
  * Follow upstream by having bcfg2-server recommend patch instead of
    depending on it
  * Remove .preinst files used to migrate away from python-central
  * Use the upstream version of README.Debian, removing info about
    create-debian-pkglist.py
  * Stop including create-debian-pkglist.py in the package, it has been
    replaced by the Packages plugin
  * Add patch 0001 to restore the missing import of pipes in the svn
    plugin
  * Add the bcfg2-web package

 -- Arto Jantunen <viiru@debian.org>  Sat, 24 Dec 2011 13:00:02 +0200

=== debian/control ===
Source: bcfg2
Section: admin
Priority: optional
Maintainer: Arto Jantunen <viiru@debian.org>
Uploaders: Sami Haahtinen <ressu@debian.org>
Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6.6-3)
Standards-Version: 3.9.2.0
Homepage: http://bcfg2.org/
X-Python-Version: >= 2.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/bcfg2.git
Vcs-Git: git://anonscm.debian.org/collab-maint/bcfg2.git

Package: bcfg2
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, debsums, python-apt (>= 0.7.91), python-lxml (>= 0.9), ucf, lsb-base (>= 3.1-9)
Description: Configuration management client
 Bcfg2 is a configuration management system that generates configuration sets
 for clients bound by client profiles.
 bcfg2 is the client portion of bcfg2 system which installs configuration
 images provided by bcfg2-server

Package: bcfg2-server
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-lxml (>= 0.9), libxml2-utils (>= 2.6.23), lsb-base (>= 3.1-9), ucf, bcfg2 (= ${binary:Version}), openssl, gamin, python-gamin
Recommends: graphviz, patch
Suggests: python-cheetah, python-genshi (>= 0.4.4), python-profiler, python-sqlalchemy (>= 0.5.0), python-django, mail-transport-agent
Description: Configuration management server
 Bcfg2 is a configuration management system that generates configuration sets
 for clients bound by client profiles.
 bcfg2-server is the server for bcfg2 clients, which generates configuration
 sets and stores statistics of client system states.

Package: bcfg2-web
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, bcfg2-server (= ${binary:Version}), python-django
Recommends: libapache2-mod-wsgi
Suggests: python-mysqldb, python-psycopg2, python-sqlite
Description: Configuration management web interface
 Bcfg2 is a configuration management system that generates configuration sets
 for clients bound by client profiles.
 bcfg2-web is the reporting server for bcfg2.

## bcfg2 1.2.1

=== osx/Makefile ===
--- 
+++ 
@@ -29,9 +29,9 @@
 # an Info.plist file for packagemaker to look at for package creation
 # and substitute the version strings. Major/Minor versions can only be
 # integers (e.g. "1" and "00" for bcfg2 version 1.0.0.
-BCFGVER = 1.2.0
+BCFGVER = 1.2.1
 MAJOR = 1
-MINOR = 20
+MINOR = 21
 
 default: clean client

=== solaris/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/sfw/bin/gmake
 
 PYTHON="/opt/csw/bin/python"
-VERS=1.2.0-1
+VERS=1.2.1-1
 PYVERSION := $(shell $(PYTHON) -c "import sys; print sys.version[0:3]")
 
 default: clean package

=== debian/changelog ===
bcfg2 (1.2.1-1) unstable; urgency=low

  * New upstream version 1.2.1
  * Build-depend on python-setuptools

 -- Arto Jantunen <viiru@debian.org>  Wed, 01 Feb 2012 18:07:44 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Arto Jantunen <viiru@debian.org>
 Uploaders: Sami Haahtinen <ressu@debian.org>
-Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6.6-3)
+Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6.6-3), python-setuptools
 Standards-Version: 3.9.2.0
 Homepage: http://bcfg2.org/
 X-Python-Version: >= 2.6

## bcfg2 1.2.2

=== osx/Makefile ===
--- 
+++ 
@@ -29,9 +29,9 @@
 # an Info.plist file for packagemaker to look at for package creation
 # and substitute the version strings. Major/Minor versions can only be
 # integers (e.g. "1" and "00" for bcfg2 version 1.0.0.
-BCFGVER = 1.2.1
+BCFGVER = 1.2.2
 MAJOR = 1
-MINOR = 21
+MINOR = 22
 
 default: clean client

=== redhat/Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 RELEASE := $(shell cat RELEASE)
 BASE_VER := ${VERSION}-${RELEASE}
 CURRENT_PACKAGE := $(PACKAGE)-$(BASE_VER)
-TARBALL := $(CURRENT_PACKAGE).tar
+TARBALL := $(PACKAGE)-$(VERSION).tar
 
 DIRNAME := $(shell echo $${PWD})
 DIRBASE := $(shell basename $${PWD})

=== solaris/Makefile ===
#!/usr/sfw/bin/gmake

PYTHON="/usr/local/bin/python"
VERS=1.2.2-1
PYVERSION := $(shell $(PYTHON) -c "import sys; print sys.version[0:3]")

default: clean package

package:
	-mkdir  tmp tmp/bcfg2-server tmp/bcfg2
	-mkdir -p build/lib/$(PYVERSION)/site-packages
	-cd ../ && PYTHONPATH=$(PYTHONPATH):$(PWD)/build/lib/python2.6/site-packages/ $(PYTHON) setup.py install --single-version-externally-managed --record=/dev/null --prefix=$(PWD)/build
	#setuptools appears to use a restictive umask
	-chmod -R o+r build/
	-cat bin/bcfg2 | sed -e 's!/usr/bin/python!$(PYTHON)!' > bin/bcfg2.new && mv bin/bcfg2.new bin/bcfg2
	-./gen-prototypes.sh
	-pkgmk -o -a `uname -m` -f prototype.bcfg2 -d $(PWD)/tmp -r $(PWD)/build
	-pkgmk -o -a `uname -m` -f prototype.bcfg2-server -d $(PWD)/tmp -r $(PWD)/build
	-pkgtrans -o -s $(PWD)/tmp $(PWD)/bcfg2-$(VERS) SCbcfg2
	-pkgtrans -o -s $(PWD)/tmp $(PWD)/bcfg2-server-$(VERS) SCbcfg2-server
	-gzip -f $(PWD)/bcfg2-$(VERS)
	-gzip -f $(PWD)/bcfg2-server-$(VERS)

clean:
	-rm -rf tmp build
	-rm -rf bcfg2-$(VERS).gz bcfg2-server-$(VERS).gz
	-rm -rf prototype.bcfg2.fixed prototype.bcfg2-server.fixed
	-rm -f prototype.*

=== debian/changelog ===
bcfg2 (1.2.2-2) unstable; urgency=high

  * Urgency=high due to security fix
  * Apply patch from Chris St. Pierre to fix an unescaped shell command
    vulnerability in the Trigger plugin (Closes: #679272)

 -- Arto Jantunen <viiru@debian.org>  Wed, 27 Jun 2012 21:25:43 +0300

bcfg2 (1.2.2-1) unstable; urgency=low

  * New upstream version 1.2.2
  * Remove Sami Haahtinen from uploaders
  * Remove patch 0001, applied upstream

 -- Arto Jantunen <viiru@debian.org>  Mon, 19 Mar 2012 20:16:25 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Arto Jantunen <viiru@debian.org>
-Uploaders: Sami Haahtinen <ressu@debian.org>
 Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6.6-3), python-setuptools
-Standards-Version: 3.9.2.0
+Standards-Version: 3.9.3.0
 Homepage: http://bcfg2.org/
 X-Python-Version: >= 2.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/bcfg2.git

## bcfg2 1.2.3

=== osx/Makefile ===
--- 
+++ 
@@ -29,9 +29,9 @@
 # an Info.plist file for packagemaker to look at for package creation
 # and substitute the version strings. Major/Minor versions can only be
 # integers (e.g. "1" and "00" for bcfg2 version 1.0.0.
-BCFGVER = 1.2.2
+BCFGVER = 1.2.3
 MAJOR = 1
-MINOR = 22
+MINOR = 23
 
 default: clean client

=== solaris/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/sfw/bin/gmake
 
 PYTHON="/usr/local/bin/python"
-VERS=1.2.2-1
+VERS=1.2.3-1
 PYVERSION := $(shell $(PYTHON) -c "import sys; print sys.version[0:3]")
 
 default: clean package
@@ -12,8 +12,9 @@
 	-cd ../ && PYTHONPATH=$(PYTHONPATH):$(PWD)/build/lib/python2.6/site-packages/ $(PYTHON) setup.py install --single-version-externally-managed --record=/dev/null --prefix=$(PWD)/build
 	#setuptools appears to use a restictive umask
 	-chmod -R o+r build/
-	-cat bin/bcfg2 | sed -e 's!/usr/bin/python!$(PYTHON)!' > bin/bcfg2.new && mv bin/bcfg2.new bin/bcfg2
-	-./gen-prototypes.sh
+	-cat build/bin/bcfg2 | sed -e 's!/usr/bin/python!$(PYTHON)!' > build/bin/bcfg2.new && mv build/bin/bcfg2.new build/bin/bcfg2
+	-chmod +x build/bin/bcfg2
+	-sh ./gen-prototypes.sh
 	-pkgmk -o -a `uname -m` -f prototype.bcfg2 -d $(PWD)/tmp -r $(PWD)/build
 	-pkgmk -o -a `uname -m` -f prototype.bcfg2-server -d $(PWD)/tmp -r $(PWD)/build
 	-pkgtrans -o -s $(PWD)/tmp $(PWD)/bcfg2-$(VERS) SCbcfg2

=== debian/changelog ===
bcfg2 (1.2.3-1ubuntu2) raring; urgency=low

  * Update BackupPCGen patch:
    - Add some flexibility in the parser to allow for varying field number.
    - Fix to match PEP-8 standard.
    - Update to work under both Python 2.7 and 3.3 (requires python3-configobj)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 23 Nov 2012 10:43:05 -0500

bcfg2 (1.2.3-1ubuntu1) raring; urgency=low

  * Merge from Debian experimental. Remaining Ubuntu changes:
   - Patch adding BackupPCGen plugin by Revolution Linux (off by default).
   - Recommends: Move graphviz to Suggests (avoid libX11 on a server).
   - Suggests: Move genshi and cheetah to Recommends (for templating).

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 19 Nov 2012 22:41:16 -0500

bcfg2 (1.2.3-1) experimental; urgency=low

  * Upload to experimental due to the wheezy freeze
  * New upstream version 1.2.3
  * Remove patch 0001, applied upstream

 -- Arto Jantunen <viiru@debian.org>  Fri, 03 Aug 2012 19:20:52 +0300

bcfg2 (1.2.2-2ubuntu1) quantal; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
   - Patch adding BackupPCGen plugin by Revolution Linux (off by default).
   - Recommends: Move graphviz to Suggests (avoid libX11 on a server).
   - Suggests: Move genshi and cheetah to Recommends (for templating).

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Thu, 26 Jul 2012 16:41:41 -0400

bcfg2 (1.2.2-1ubuntu2) precise; urgency=low

  * Bugfix update of BackupPCGen plugin to deal with servers backing up
    a single location. Thank to Marc Gariepy for the fix.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 18 Apr 2012 18:24:43 +0200

bcfg2 (1.2.2-1ubuntu1) precise; urgency=low

  * Merge 1.2.2 bugfix release from Debian. Remaining changes:
    - Added patches:
      + Add BackupPCGen plugin by Revolution Linux (off by default).
    - Recommends: Move graphviz to Suggests (avoid libX11 on a server).
    - Suggests: Move genshi and cheetah to Recommends (for templating).

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 28 Mar 2012 21:25:36 -0400

bcfg2 (1.2.1-1ubuntu1) precise; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Added patches:
      + Add BackupPCGen plugin by Revolution Linux (off by default).
    - Recommends: Move graphviz to Suggests (avoid libX11 on a server).
    - Suggests: Move genshi and cheetah to Recommends (for templating).

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 09 Feb 2012 15:33:13 -0500

bcfg2 (1.2.0-1ubuntu1) precise; urgency=low

  * Merge from debian testing. Remaining changes:
    - Added patches:
      + Add BackupPCGen plugin by Revolution Linux (off by default).
    - Dropped patches:
      + Make ssh_known_hosts base64 to avoid timeouts
        (shouldn't be necessary with 1.2)
      + Add NagiosGen patch to support "parents" in Nagios (upstreamed)
    - Recommends: Move graphviz to Suggests (avoid libX11 on a server).
    - Suggests: Move genshi and cheetah to Recommends (for templating).

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 26 Jan 2012 15:22:16 -0500

bcfg2 (1.1.3-1ubuntu1) precise; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Added patches:
      + Add NagiosGen patch to support "parents" in Nagios
      + Add BackupPCGen plugin by Revolution Linux (off by default).
      + Make ssh_known_hosts base64 to avoid timeouts (SSHGen).
    - Recommends: Move graphviz to Suggests (avoid libX11 on a server).
    - Suggests: Move genshi and cheetah to Recommends (for templating).

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 20 Oct 2011 10:58:36 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: bcfg2
 Section: admin
 Priority: optional
-Maintainer: Arto Jantunen <viiru@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Arto Jantunen <viiru@debian.org>
 Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6.6-3), python-setuptools
 Standards-Version: 3.9.3.0
 Homepage: http://bcfg2.org/
@@ -21,8 +22,8 @@
 Package: bcfg2-server
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python-lxml (>= 0.9), libxml2-utils (>= 2.6.23), lsb-base (>= 3.1-9), ucf, bcfg2 (= ${binary:Version}), openssl, gamin, python-gamin
-Recommends: graphviz, patch
-Suggests: python-cheetah, python-genshi (>= 0.4.4), python-profiler, python-sqlalchemy (>= 0.5.0), python-django, mail-transport-agent
+Recommends: patch, python-cheetah, python-genshi (>= 0.4.4)
+Suggests: python-profiler, python-sqlalchemy (>= 0.5.0), python-django, mail-transport-agent, graphviz
 Description: Configuration management server
  Bcfg2 is a configuration management system that generates configuration sets
  for clients bound by client profiles.

## bcfg2 1.3.2

=== osx/Makefile ===
--- 
+++ 
@@ -29,9 +29,9 @@
 # an Info.plist file for packagemaker to look at for package creation
 # and substitute the version strings. Major/Minor versions can only be
 # integers (e.g. "1" and "00" for bcfg2 version 1.0.0.
-BCFGVER = 1.2.3
+BCFGVER = 1.3.2
 MAJOR = 1
-MINOR = 23
+MINOR = 32
 
 default: clean client

=== solaris-ips/Makefile ===
#!/usr/bin/gmake

VERS=1.3.2-1
PYVERSION := $(shell python -c "import sys; print sys.version[0:3]")

default: clean package

package:
	-mkdir  tmp tmp/bcfg2-server tmp/bcfg2
	-mkdir -p build/lib/$(PYVERSION)/site-packages
	-cd ../ && PYTHONPATH=$(PYTHONPATH):$(PWD)/build/lib/python2.6/site-packages/ python setup.py install --single-version-externally-managed --record=/dev/null --prefix=$(PWD)/build/usr
	#setuptools appears to use a restictive umask
	-chmod -R o+r build/
	-chmod +x build/usr/bin/bcfg2
	-sh ./gen-manifests.sh

clean:
	-rm -rf tmp build
	-rm -rf MANIFEST.bcfg2
	-rm -rf MANIFEST.bcfg2-server

=== solaris/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/sfw/bin/gmake
 
 PYTHON="/usr/local/bin/python"
-VERS=1.2.3-1
+VERS=1.3.2-1
 PYVERSION := $(shell $(PYTHON) -c "import sys; print sys.version[0:3]")
 
 default: clean package

=== testsuite/requirements.txt ===
lxml
nose
mock
sphinx
pylint
pep8
python-daemon

=== debian/changelog ===
bcfg2 (1.3.2-1ubuntu1) saucy; urgency=low

  * Merge from Debian. Remaining Ubuntu changes:
   - Patch adding BackupPCGen plugin by Revolution Linux (off by default).
   - Recommends: Move graphviz to Suggests (avoid libX11 on a server).
   - Suggests: Move genshi and cheetah to Recommends (for templating).
  * Cherry-pick IPv6 and UTF-8 fixes from upstream git.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 19 Aug 2013 16:53:01 +0200

bcfg2 (1.3.2-1) unstable; urgency=low

  * Remove patches 0002-0006, included upstream
  * Add native systemd support using dh-systemd and the upstream provided
    service files
  * Do not start bcfg2 on package installation
  * Apply patch to configure python-daemon so that it works with systemd
  * Update Build-Dependencies to include currently needed sphinx catalogs

 -- Arto Jantunen <viiru@debian.org>  Sun, 21 Jul 2013 11:21:55 +0300

bcfg2 (1.3.1-3ubuntu1) saucy; urgency=low

  * Merge from Debian. Remaining Ubuntu changes:
   - Patch adding BackupPCGen plugin by Revolution Linux (off by default).
   - Recommends: Move graphviz to Suggests (avoid libX11 on a server).
   - Suggests: Move genshi and cheetah to Recommends (for templating).

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 09 Jul 2013 16:25:00 -0400

bcfg2 (1.3.1-3) unstable; urgency=low

  * Apply two patches from upstream to fix build failures related to
    xmlschema.py (Closes: #713088)
  * Update watch file, thanks Bart Martens

 -- Arto Jantunen <viiru@debian.org>  Tue, 25 Jun 2013 17:57:15 +0300

bcfg2 (1.3.1-2) unstable; urgency=low

  * Upload to unstable
  * Add patch to update the Apache config for version 2.4
  * Enable dh_apache2 for Apache 2.4 migration (Closes: #669766)
  * Apply three patches from upstream to support Django 1.5

 -- Arto Jantunen <viiru@debian.org>  Sat, 01 Jun 2013 19:57:08 +0300

bcfg2 (1.3.1-1) experimental; urgency=low

  * New upstream version 1.3.1
  * Update debian/copyright
  * Update .docs files to match the new version

 -- Arto Jantunen <viiru@debian.org>  Thu, 28 Mar 2013 20:13:01 +0200

bcfg2 (1.3.0~rc2-1) experimental; urgency=low

  * New upstream version 1.3.0rc2
  * Add build dependencies needed for sphinx references
  * Remove dependency on python-lxml from the client
  * Update Standards-Version to 3.9.4.0, no changes

 -- Arto Jantunen <viiru@debian.org>  Sun, 10 Feb 2013 13:44:00 +0200

bcfg2 (1.3.0~pre2-1) experimental; urgency=low

  * New upstream version 1.3.0pre2
  * Include all upgrade tools, instead of just posixunified.py
  * Add bcfg2-doc package for the new sphinx docs
  * Prefer python-pyinotify to python-gamin
  * Add dependency on python-daemon to the server package

 -- Arto Jantunen <viiru@debian.org>  Wed, 26 Dec 2012 12:30:06 +0200

=== debian/control ===
Source: bcfg2
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Arto Jantunen <viiru@debian.org>
Build-Depends: debhelper (>= 8.0.0),
	       python-all (>= 2.6.6-3),
	       python-setuptools,
	       python-sphinx (>= 1.0.7+dfsg),
	       python-lxml,
	       python-daemon,
	       python-cherrypy3,
	       python-gamin,
	       python-genshi,
	       python-pyinotify,
	       python-doc,
	       python-mock,
	       python-mock-doc,
	       dh-apache2,
	       dh-systemd
Standards-Version: 3.9.4.0
Homepage: http://bcfg2.org/
X-Python-Version: >= 2.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/bcfg2.git
Vcs-Git: git://anonscm.debian.org/collab-maint/bcfg2.git

Package: bcfg2
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, debsums, python-apt (>= 0.7.91), ucf, lsb-base (>= 3.1-9)
Description: Configuration management client
 Bcfg2 is a configuration management system that generates configuration sets
 for clients bound by client profiles.
 bcfg2 is the client portion of bcfg2 system which installs configuration
 images provided by bcfg2-server

Package: bcfg2-server
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-lxml (>= 0.9), libxml2-utils (>= 2.6.23), lsb-base (>= 3.1-9), ucf, bcfg2 (= ${binary:Version}), openssl, python-pyinotify | python-gamin, python-daemon
Recommends: patch, python-cheetah, python-genshi (>= 0.4.4)
Suggests: python-profiler, python-sqlalchemy (>= 0.5.0), python-django, mail-transport-agent, bcfg2-doc (= ${binary:Version}), graphviz
Description: Configuration management server
 Bcfg2 is a configuration management system that generates configuration sets
 for clients bound by client profiles.
 bcfg2-server is the server for bcfg2 clients, which generates configuration
 sets and stores statistics of client system states.

Package: bcfg2-web
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, bcfg2-server (= ${binary:Version}), python-django
Recommends: libapache2-mod-wsgi, ${misc:Recommends}
Suggests: python-mysqldb, python-psycopg2, python-sqlite
Description: Configuration management web interface
 Bcfg2 is a configuration management system that generates configuration sets
 for clients bound by client profiles.
 bcfg2-web is the reporting server for bcfg2.

Package: bcfg2-doc
Section: doc
Architecture: all
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Configuration management system documentation
 Bcfg2 is a configuration management system that generates configuration sets
 for clients bound by client profiles.
 bcfg2-doc is the documentation for bcfg2.

## bcfg2 1.3.3

=== osx/Makefile ===
--- 
+++ 
@@ -29,9 +29,9 @@
 # an Info.plist file for packagemaker to look at for package creation
 # and substitute the version strings. Major/Minor versions can only be
 # integers (e.g. "1" and "00" for bcfg2 version 1.0.0.
-BCFGVER = 1.3.2
+BCFGVER = 1.3.3
 MAJOR = 1
-MINOR = 32
+MINOR = 33
 
 default: clean client

=== solaris-ips/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/gmake
 
-VERS=1.3.2-1
+VERS=1.3.3-1
 PYVERSION := $(shell python -c "import sys; print sys.version[0:3]")
 
 default: clean package

=== solaris/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/sfw/bin/gmake
 
 PYTHON="/usr/local/bin/python"
-VERS=1.3.2-1
+VERS=1.3.3-1
 PYVERSION := $(shell $(PYTHON) -c "import sys; print sys.version[0:3]")
 
 default: clean package

=== testsuite/requirements.txt ===
lxml
nose
mock
sphinx
pylint<1.0
pep8
python-daemon

=== debian/changelog ===
bcfg2 (1.3.3-1ubuntu3) trusty; urgency=medium

  * Also cherry-pick a sorting fix from upstream (also NagiosGen).

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 15 Feb 2014 22:15:23 -0500

bcfg2 (1.3.3-1ubuntu2) trusty; urgency=medium

  * Cherry-pick fix from upstream master to fix NagiosGen with IPv6 hosts.

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 15 Feb 2014 20:49:04 -0500

bcfg2 (1.3.3-1ubuntu1) trusty; urgency=medium

  * Merge from Debian. Remaining Ubuntu changes:
   - Recommends: Move graphviz to Suggests (avoid libX11 on a server).
   - Suggests: Move genshi and cheetah to Recommends (for templating).
  * Drop BackupPCGen plugin as it's now possible to achieve the exact
    same feature using the existing upstream plugins alone.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 16 Dec 2013 16:03:18 -0500

bcfg2 (1.3.3-1) unstable; urgency=medium

  * New upstream version 1.3.3
  * Remove patch 0003, included upstream
  * Update systemd service files to not depend on syslog.target (thanks
    Lintian)
  * Bcfg2-web: add dependency on python-django-south
  * Add build-dependency on python-boto
  * Use dh compat level 9
  * Update Standards-Version to 3.9.5.0, no changes

 -- Arto Jantunen <viiru@debian.org>  Sat, 14 Dec 2013 15:58:13 +0200

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/ \
ftp://ftp.mcs.anl.gov/pub/bcfg/bcfg2-(\d.*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Thu, 06 Dec 2012 06:41:49 +0000

## bcfg2 1.3.4

=== osx/Makefile ===
--- 
+++ 
@@ -29,9 +29,9 @@
 # an Info.plist file for packagemaker to look at for package creation
 # and substitute the version strings. Major/Minor versions can only be
 # integers (e.g. "1" and "00" for bcfg2 version 1.0.0.
-BCFGVER = 1.3.3
+BCFGVER = 1.3.4
 MAJOR = 1
-MINOR = 33
+MINOR = 34
 
 default: clean client

=== solaris-ips/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/gmake
 
-VERS=1.3.3-1
+VERS=1.3.4-1
 PYVERSION := $(shell python -c "import sys; print sys.version[0:3]")
 
 default: clean package

=== solaris/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/sfw/bin/gmake
 
 PYTHON="/usr/local/bin/python"
-VERS=1.3.3-1
+VERS=1.3.4-1
 PYVERSION := $(shell $(PYTHON) -c "import sys; print sys.version[0:3]")
 
 default: clean package

=== debian/changelog ===
bcfg2 (1.3.4-1ubuntu1) utopic; urgency=medium

  * Merge from Debian. Remaining Ubuntu changes:
   - Recommends: Move graphviz to Suggests (avoid libX11 on a server).
   - Suggests: Move genshi and cheetah to Recommends (for templating).
   - Cherry-pick a sorting fix from upstream (also NagiosGen).
   - Cherry-pick fix from upstream master to fix NagiosGen with IPv6 hosts.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 02 May 2014 16:56:47 -0400

bcfg2 (1.3.4-1) unstable; urgency=medium

  * New upstream version 1.3.4
  * Update the systemd service file patch to match upstream changes
  * Enable signature verification in debian/watch

 -- Arto Jantunen <viiru@debian.org>  Fri, 04 Apr 2014 17:38:07 +0300

## bcfg2 1.3.5

=== osx/Makefile ===
--- 
+++ 
@@ -29,9 +29,9 @@
 # an Info.plist file for packagemaker to look at for package creation
 # and substitute the version strings. Major/Minor versions can only be
 # integers (e.g. "1" and "00" for bcfg2 version 1.0.0.
-BCFGVER = 1.3.4
+BCFGVER = 1.3.5
 MAJOR = 1
-MINOR = 34
+MINOR = 35
 
 default: clean client

=== solaris-ips/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/gmake
 
-VERS=1.3.4-1
+VERS=1.3.5-1
 PYVERSION := $(shell python -c "import sys; print sys.version[0:3]")
 
 default: clean package

=== solaris/Makefile ===
--- 
+++ 
@@ -1,15 +1,15 @@
 #!/usr/sfw/bin/gmake
 
 PYTHON="/usr/local/bin/python"
-VERS=1.3.4-1
-PYVERSION := $(shell $(PYTHON) -c "import sys; print sys.version[0:3]")
+VERS=1.3.5-1
+export PYVERSION := $(shell $(PYTHON) -c "import sys; print sys.version[0:3]")
 
 default: clean package
 
 package:
 	-mkdir  tmp tmp/bcfg2-server tmp/bcfg2
 	-mkdir -p build/lib/$(PYVERSION)/site-packages
-	-cd ../ && PYTHONPATH=$(PYTHONPATH):$(PWD)/build/lib/python2.6/site-packages/ $(PYTHON) setup.py install --single-version-externally-managed --record=/dev/null --prefix=$(PWD)/build
+	-cd ../ && PYTHONPATH=$(PYTHONPATH):$(PWD)/build/lib/python$(PYVERSION)/site-packages/ $(PYTHON) setup.py install --single-version-externally-managed --record=/dev/null --prefix=$(PWD)/build
 	#setuptools appears to use a restictive umask
 	-chmod -R o+r build/
 	-cat build/bin/bcfg2 | sed -e 's!/usr/bin/python!$(PYTHON)!' > build/bin/bcfg2.new && mv build/bin/bcfg2.new build/bin/bcfg2

=== debian/changelog ===
bcfg2 (1.3.5-4ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Recommends: Move graphviz to Suggests (avoid libX11 on a server).
      + Suggests: Move genshi and cheetah to Recommends (for templating).
    - debian/patches/1000-nagiosgen-ipv6.patch:
      + Fix NagiosGen with IPv6 hosts.
    - debian/patches/1001-nagiosgen-sort-groups.patch:
      + NagiosGen: Sort the hostgroup list.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 01 Jan 2016 23:04:03 +0530

bcfg2 (1.3.5-4) unstable; urgency=medium

  * Install the new south_migrations into the package, thanks Adam
    D. Barratt

 -- Arto Jantunen <viiru@debian.org>  Sat, 24 Oct 2015 10:40:16 +0300

bcfg2 (1.3.5-3) unstable; urgency=medium

  * Add fix for reports.wsgi to the Django 1.7 patch

 -- Arto Jantunen <viiru@debian.org>  Thu, 24 Sep 2015 19:48:46 +0300

bcfg2 (1.3.5-2ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Recommends: Move graphviz to Suggests (avoid libX11 on a server).
      + Suggests: Move genshi and cheetah to Recommends (for templating).
    - debian/patches/1000-nagiosgen-ipv6.patch:
      + Fix NagiosGen with IPv6 hosts.
    - debian/patches/1001-nagiosgen-sort-groups.patch:
      + NagiosGen: Sort the hostgroup list.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sun, 06 Sep 2015 11:54:00 +0200

bcfg2 (1.3.5-2) unstable; urgency=medium

  * Apply patch from Jonas Jochmaring to support Django 1.7
    (Closes: #755645)

 -- Arto Jantunen <viiru@debian.org>  Thu, 25 Jun 2015 20:39:15 +0300

bcfg2 (1.3.5-1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Recommends: Move graphviz to Suggests (avoid libX11 on a server).
      + Suggests: Move genshi and cheetah to Recommends (for templating).
    - debian/patches/1000-nagiosgen-ipv6.patch:
      + Fix NagiosGen with IPv6 hosts.
    - debian/patches/1001-nagiosgen-sort-groups.patch:
      + NagiosGen: Sort the hostgroup list.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sat, 14 Feb 2015 23:18:26 +0100

bcfg2 (1.3.5-1) unstable; urgency=medium

  * New upstream version 1.3.5

 -- Arto Jantunen <viiru@debian.org>  Tue, 09 Sep 2014 19:52:42 +0300

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Arto Jantunen <viiru@debian.org>
-Build-Depends: debhelper (>= 8.0.0),
+Build-Depends: debhelper (>= 9),
 	       python-all (>= 2.6.6-3),
 	       python-setuptools,
 	       python-sphinx (>= 1.0.7+dfsg),
 	       python-lxml,
 	       python-daemon,
+	       python-boto,
 	       python-cherrypy3,
 	       python-gamin,
 	       python-genshi,
@@ -18,7 +19,7 @@
 	       python-mock-doc,
 	       dh-apache2,
 	       dh-systemd
-Standards-Version: 3.9.4.0
+Standards-Version: 3.9.5.0
 Homepage: http://bcfg2.org/
 X-Python-Version: >= 2.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/bcfg2.git
@@ -46,7 +47,7 @@
 
 Package: bcfg2-web
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, bcfg2-server (= ${binary:Version}), python-django
+Depends: ${python:Depends}, ${misc:Depends}, bcfg2-server (= ${binary:Version}), python-django, python-django-south (>= 0.7.5)
 Recommends: libapache2-mod-wsgi, ${misc:Recommends}
 Suggests: python-mysqldb, python-psycopg2, python-sqlite
 Description: Configuration management web interface

## bcfg2 1.4.0~pre2%2Bgit141-g6d40dace6358

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,pgpsigurlmangle=s/$/.gpg/ \
ftp://ftp.mcs.anl.gov/pub/bcfg/bcfg2-(\d.*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Thu, 06 Dec 2012 06:41:49 +0000

## bcfg2 1.4.0~pre2+git141

=== Makefile ===
PYVERSION := $(shell /usr/bin/python -c "import sys; print '%s.%s' % (sys.version_info[0], sys.version_info[1])")
PYMAJORVERSION := $(shell /usr/bin/python -c "import sys; print sys.version_info[0]")
PYMINORVERSION := $(shell /usr/bin/python -c "import sys; print sys.version_info[1]")
PREFLIGHT = preflight
POSTFLIGHT = postflight
PKGROOT = bcfg2pkg
PKGTMP = bcfg2tmp
FILTERS = --filter Reports \
--filter Server \
--filter xsd \
--filter xsl \
--filter bcfg2-admin \
--filter bcfg2-build-reports \
--filter bcfg2-info \
--filter bcfg2-ping-sweep \
--filter bcfg2-lint \
--filter bcfg2-reports \
--filter bcfg2-server

CONF = bcfg2.conf
DATADIR = /Library/Frameworks/Python.framework/Versions/Current
LAUNCHD = gov.anl.mcs.bcfg2-daily.plist
PACKAGEMAKER = /Developer/usr/bin/packagemaker
PROTO_PLIST = PackageInfo.plist
SITELIBDIR = /Library/Python/${PYVERSION}/site-packages

# Symlinks cannot be specified on the command line, therefore, we create
# an Info.plist file for packagemaker to look at for package creation
# and substitute the version strings. Major/Minor versions can only be
# integers (e.g. "1" and "00" for bcfg2 version 1.0.0.
BCFGVER = 1.4.0pre2
MAJOR = 1
MINOR = 40

default: clean client

install:
	echo "Installing Bcfg2 to ${PKGROOT}"
	mkdir -p ${PKGROOT}
	cd ../ && /usr/bin/python setup.py install \
	       --root="osx/${PKGROOT}" \
	       --install-lib="${SITELIBDIR}" \
	       --install-data="${DATADIR}"

prepare: install
	mkdir -p ${PKGTMP}
	cp ${PROTO_PLIST} ${PKGTMP}
	sed -i '' "s/{SHORTVERSION}/${BCFGVER}/g" "${PKGTMP}/${PROTO_PLIST}"
	sed -i '' "s/{MAJORVERSION}/${MAJOR}/g" "${PKGTMP}/${PROTO_PLIST}"
	sed -i '' "s/{MINORVERSION}/${MINOR}/g" "${PKGTMP}/${PROTO_PLIST}"

	# create a preflight script to remove traces of previous
	# bcfg2 installs due to limitations in Apple's pkg format
	mkdir -p "${PKGTMP}/scripts"
	cp "${PREFLIGHT}" "${PKGTMP}/scripts"
	cp "${POSTFLIGHT}" "${PKGTMP}/scripts"

	# substitute in the {sitelib,data}dir specified above on the assumption that
	# this is where any previous bcfg2 install exists that should be cleaned out.
	sed -i '' "s|{SITELIBDIR}|${SITELIBDIR}|g" "${PKGTMP}/scripts/${PREFLIGHT}"
	sed -i '' "s|{SITELIBDIR}|${SITELIBDIR}|g" "${PKGTMP}/scripts/${POSTFLIGHT}"
	sed -i '' "s|{DATADIR}|${DATADIR}|g" "${PKGTMP}/scripts/${PREFLIGHT}"
	sed -i '' "s|{DATADIR}|${DATADIR}|g" "${PKGTMP}/scripts/${POSTFLIGHT}"
	# substitute in the bindir specified on the assumption that this is where
	# any old executables that have moved from bindir->sbindir should be
	# cleaned out from.
	sed -i '' "s|{BINDIR}|${BINDIR}|g" "${PKGTMP}/scripts/${PREFLIGHT}"
	sed -i '' "s|{BINDIR}|${BINDIR}|g" "${PKGTMP}/scripts/${POSTFLIGHT}"
	sed -i '' "s|{LAUNCHD}|${LAUNCHD}|g" "${PKGTMP}/scripts/${POSTFLIGHT}"
	# {pre,post}flight scripts must be 770 to execute
	chmod 0770 "${PKGTMP}/scripts/${PREFLIGHT}"
	chmod 0770 "${PKGTMP}/scripts/${POSTFLIGHT}"

	# add in M2Crypto if python version is less than 2.6
	if [[ ${PYMAJORVERSION} == 2 ]]; then if [[ ${PYMINORVERSION} -lt 6 ]]; then cp "M2Crypto-0.20.2-py2.5-macosx-10.5-ppc.egg" "${PKGROOT}/${SITELIBDIR}" && cp "easy-install.pth" "${PKGROOT}/${SITELIBDIR}"; fi ;  fi
	# add default bcfg2.conf
	mkdir -p "${PKGROOT}/etc"
	cp "${CONF}" "${PKGROOT}/etc/${CONF}"

	# add default launchd cron job
	mkdir -p "${PKGROOT}/Library/LaunchDaemons"
	cp "${LAUNCHD}" "${PKGROOT}/Library/LaunchDaemons/${LAUNCHD}"

client: prepare
	rm -rf `pwd`/bcfg2-${BCFGVER}.pkg
	echo "Building package"
	echo "Note that packagemaker is reknowned for spurious errors. Don't panic."
	"${PACKAGEMAKER}" --root "${PKGROOT}" \
			  --info "${PKGTMP}/${PROTO_PLIST}" \
			  --scripts "${PKGTMP}/scripts" \
			  ${FILTERS} \
			  --verbose \
			  --title "bcfg2" \
			  --out `pwd`/bcfg2-${BCFGVER}.pkg

server: prepare
	rm -rf `pwd`/bcfg2-${BCFGVER}.pkg
	echo "Building package"
	echo "Note that packagemaker is reknowned for spurious errors. Don't panic."
	"${PACKAGEMAKER}" --root "${PKGROOT}" \
			  --info "${PKGTMP}/${PROTO_PLIST}" \
			  --scripts "${PKGTMP}/scripts" \
			  --verbose \
			  --title "bcfg2" \
			  --out `pwd`/bcfg2-${BCFGVER}.pkg

clean:
	rm -rf bcfg2tmp bcfg2pkg

=== requirements.txt ===
lxml
nose
mock
sphinx<1.5
pylint<0.29
pep8
python-daemon<2.0.0
genshi
argparse

## bcfg2 1.4.0~pre2+git141-g6d40dace6358

=== debian/changelog ===
bcfg2 (1.4.0~pre2+git141-g6d40dace6358-1ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Recommends: Move graphviz to Suggests (avoid libX11 on a server).
      + Suggests: Move cheetah to Recommends (for templating).
  * Dropped changes, superseded in Debian:
    - genshi now a Depends, neither a Recommends nor Suggests
  * Dropped changes, included upstream:
    - debian/patches/1000-nagiosgen-ipv6.patch:
      + Fix NagiosGen with IPv6 hosts.
    - debian/patches/1001-nagiosgen-sort-groups.patch:
      + NagiosGen: Sort the hostgroup list.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 10 Aug 2017 16:03:16 -0700

bcfg2 (1.4.0~pre2+git141-g6d40dace6358-1) unstable; urgency=medium

  * New upstream git snapshot for more Django 1.9 and 1.10 fixes

 -- Arto Jantunen <viiru@debian.org>  Tue, 17 Jan 2017 19:33:42 +0200

bcfg2 (1.4.0~pre2+git128-g9797b170668a-1) unstable; urgency=medium

  * New upstream git snapshot containing fixes to run on Django 1.9
  * South isn't required when using Django 1.7 or later (Closes: #807998)
  * Use https url's in Vcs fields
  * Bump Standards-Version to 3.9.8.0, no changes

 -- Arto Jantunen <viiru@debian.org>  Sun, 25 Dec 2016 11:38:11 +0200

bcfg2 (1.4.0~pre1+git18-gea63477-1) experimental; urgency=medium

  * New upstream git snapshot containing bug fixes for config option
    handling, logging, etc.

 -- Arto Jantunen <viiru@debian.org>  Sat, 02 Aug 2014 14:09:53 +0300

bcfg2 (1.4.0~pre1-1) experimental; urgency=low

  * New upstream version 1.4.0~pre1
  * Note the removal of the Hostbase plugin in bcfg2-server.install
  * Sqlalchemy is no longer used, remove the dependency
  * Include the new Options module in the bcfg2 package
  * Move python-genshi from Suggest to Depends, it's required since
    upstream commit cfa769a

 -- Arto Jantunen <viiru@debian.org>  Tue, 15 Jul 2014 10:35:57 +0300

=== debian/control ===
--- 
+++ 
@@ -19,11 +19,11 @@
 	       python-mock-doc,
 	       dh-apache2,
 	       dh-systemd
-Standards-Version: 3.9.5.0
+Standards-Version: 3.9.8.0
 Homepage: http://bcfg2.org/
 X-Python-Version: >= 2.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/bcfg2.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/bcfg2.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/bcfg2.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/bcfg2.git
 
 Package: bcfg2
 Architecture: all
@@ -36,9 +36,9 @@
 
 Package: bcfg2-server
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-lxml (>= 0.9), libxml2-utils (>= 2.6.23), lsb-base (>= 3.1-9), ucf, bcfg2 (= ${binary:Version}), openssl, python-pyinotify | python-gamin, python-daemon
-Recommends: patch, python-cheetah, python-genshi (>= 0.4.4)
-Suggests: python-profiler, python-sqlalchemy (>= 0.5.0), python-django, mail-transport-agent, bcfg2-doc (= ${binary:Version}), graphviz
+Depends: ${python:Depends}, ${misc:Depends}, python-lxml (>= 0.9), libxml2-utils (>= 2.6.23), lsb-base (>= 3.1-9), ucf, bcfg2 (= ${binary:Version}), openssl, python-pyinotify | python-gamin, python-daemon, python-genshi (>= 0.4.4)
+Recommends: patch, python-cheetah
+Suggests: python-profiler, python-django, mail-transport-agent, bcfg2-doc (= ${binary:Version}), graphviz
 Description: Configuration management server
  Bcfg2 is a configuration management system that generates configuration sets
  for clients bound by client profiles.
@@ -47,7 +47,7 @@
 
 Package: bcfg2-web
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, bcfg2-server (= ${binary:Version}), python-django, python-django-south (>= 0.7.5)
+Depends: ${python:Depends}, ${misc:Depends}, bcfg2-server (= ${binary:Version}), python-django (>= 1.7-1)
 Recommends: libapache2-mod-wsgi, ${misc:Recommends}
 Suggests: python-mysqldb, python-psycopg2, python-sqlite
 Description: Configuration management web interface

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2,sphinxdoc,apache2,systemd

override_dh_auto_build:
	dh_auto_build
	python setup.py build_sphinx

override_dh_systemd_enable:
	dh_systemd_enable -pbcfg2-server bcfg2-server.service
	dh_systemd_enable -pbcfg2 --no-enable bcfg2.service

override_dh_installinit:
	dh_installinit -pbcfg2-server
	dh_installinit -pbcfg2 --no-start
